package com.junmp.jyzb.config.rabbitMQ;

import org.springframework.amqp.core.*;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class RabbitmqConfig {
    //1.交换机
    @Bean("LogExchange")
    public Exchange bootExchange(){
        return ExchangeBuilder.directExchange("LogExchange").durable(true).build();
    }

    //2.队列
    @Bean("LogQueue")
    public Queue bootQueue(){
        return QueueBuilder.durable("LogQueue").build();
    }
    //3.队列和交换机的绑定关系（队列，交换机，rountingkey）
    @Bean
    public Binding bingQueueExchange(@Qualifier("LogQueue") Queue queue, @Qualifier("LogExchange")Exchange exchange){
        return BindingBuilder.bind(queue).to(exchange).with("log").noargs();

    }

    @Bean("OrderExchange")
    public Exchange OrderExchange(){
        return ExchangeBuilder.directExchange("OrderExchange").durable(true).build();
    }

    //2.队列
    @Bean("OrderQueue")
    public Queue OrderQueue(){
        return QueueBuilder.durable("OrderQueue").build();
    }
    //3.队列和交换机的绑定关系（队列，交换机，rountingkey）
    @Bean
    public Binding bindQueueExchange(@Qualifier("OrderQueue") Queue queue, @Qualifier("OrderExchange")Exchange exchange){
        return BindingBuilder.bind(queue).to(exchange).with("1").noargs();

    }
}
